%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		pygrace
Version:	0.4
Release:	19%{?dist}
Summary:	Python bindings for grace
Group:		Applications/Engineering
License:	GPLv2+ and MIT
# A new site is available at http://pygrace.github.io/ but there is not yet any new release
URL:		https://pypi.org/project/pygrace/
Source0:	https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tgz
BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python2-numpy

Requires:	grace
Requires:	python2-numpy

%description
Python 2 bindings for grace, based on Nathan Gray's gracePlot.

%prep
%setup -q
# Get rid of library shebangs
for file in *.py; do
 sed -i '/\/usr\/bin\/env/d' $file
done

%build
python2 -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
python2 -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%doc README.txt tests examples
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-*.egg-info/

%changelog
* Sun Aug 19 2018 José Matos <jamatos@fedoraproject.org> - 0.4-19
- update URL and source addresses
- make it clear that the package refers to python 2 bindings

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.4-2
- Change Requires: python-numeric to numpy.

* Thu Jul 16 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.4-1
- Update to 0.4.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.3-5
- Retry fixing EPEL build.

* Thu Feb 19 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.3-4
- Fix EPEL build.

* Wed Feb 18 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.3-3
- Added examples to %%doc.

* Tue Feb 17 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.3-2
- Fixed license.

* Sun Feb 15 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.3-1
- First release.
